package pe.so.api.formulario.services;

import org.json.JSONObject;
import pe.so.api.formulario.dao.ExcelDAO;
import pe.so.api.formulario.dao.FactoryDAO;

import java.util.Objects;

public class ExcelServices{

    ExcelDAO dao = Objects.requireNonNull(FactoryDAO.getFactoryDAO(FactoryDAO.POSTGRESQL)).getExcelDAO();
    public JSONObject execute_encuesta(JSONObject json) throws Exception{
        return dao.execute_encuesta(json);
    }

    public JSONObject execute_balotario(JSONObject json) throws Exception{
        return dao.execute_balotario(json);
    }

    public JSONObject ejecutar(JSONObject json) throws Exception{
        return dao.ejecutar(json);
    }

    public JSONObject execute_avance(JSONObject json) throws Exception{
        return dao.execute_avance(json);
    }

    public JSONObject execute_redes(JSONObject json) throws Exception{
        return dao.execute_redes(json);
    }

    public JSONObject execute_VU(JSONObject json) throws Exception{
        return dao.execute_VU(json);
    }

    public JSONObject execute_reporte_sedes(JSONObject json) throws Exception{
        return dao.execute_reporte_sedes(json);
    }

    public JSONObject execute_reporte_correos(JSONObject json) throws Exception{
        return dao.execute_reporte_correos(json);
    }

    public JSONObject execute_avance_encuesta(JSONObject json) throws Exception{
        return dao.execute_avance_encuesta(json);
    }

    public JSONObject execute_reporte_franquicias(JSONObject json) throws Exception{
        return dao.execute_reporte_franquicia(json);
    }

    public JSONObject execute_matricula_online2(JSONObject json) throws Exception{
        return dao.execute_matricula_online2(json);
    }

    public JSONObject execute_reporte_pagos(JSONObject entrada) throws  Exception{
        return dao.execute_reporte_pagos(entrada);
    }
}
